#ifndef PIRATDIMS_H
#   define PIRATDIMS_H

#ifndef PIRAT_SPACE_DIM
#   error "Number of space dimensions not defined"
#else
#   if !((PIRAT_SPACE_DIM==1)||(PIRAT_SPACE_DIM==2)||(PIRAT_SPACE_DIM==3))
#   error "Bad space dimension.  Accepted: 1, 2, or 3"
#   endif
#endif


#ifdef PIRAT_PRIVATE_USE

#if PIRAT_SPACE_DIM == 1
#   define REF_LIST(X, Y, Z) X
#   define REF_X(X) X
#   define REF_Y(Y) 
#   define REF_Z(Z) 
#else
#  if PIRAT_SPACE_DIM == 2
#   define REF_LIST(X, Y, Z) X, Y
#   define REF_X(X) X
#   define REF_Y(Y) Y
#   define REF_Z(Z) 
#  else
#   define REF_LIST(X, Y, Z) X, Y, Z
#   define REF_X(X) X
#   define REF_Y(Y) Y
#   define REF_Z(Z) Z
#  endif
#endif

#endif /* PIRAT_PRIVATE_USE */


#endif /* PIRATDIMS_H */
