#! /bin/ksh -f

function check_outcome {
    outcome=$1; shift
    iferror=$1;
    if [ $outcome -ne 0 ] ; then
        echo "**** Error in $(basename $0): $iferror"
        exit 1
    fi
}

rm config.cache;
./configure;
make dist; check_outcome $? "make dist"
mv PiRaT.tar ~/warp/dist; check_outcome $? "mv"
cd ~/warp/dist; check_outcome $? "cd ~/warp/dist"
rm -rf ~/warp/dist/PiRaT; check_outcome $? "rm"
tar xf PiRaT.tar; check_outcome $? "tar xvf"
cd ./PiRaT/src
./configure; check_outcome $? "./configure"
make install; check_outcome $? "make install"


